import sys

print >> sys.stderr, """
No setup.  Just run it.

Can't figure out a simple setup packaging the templates without storing them in the library path.
The setup.py has more. If you can tell me how to make the script find the templates regardless of
whether they are installed system-wide or user-wide
"""
sys.exit(0)

import os
from distutils.core import setup
from distutils.sysconfig import get_config_vars

setupDirectory = os.path.realpath(os.path.split(__file__)[0])
templates = [os.path.join("template",f) for f in os.listdir(os.path.join(setupDirectory,'template'))
			 if os.path.isfile(os.path.join(setupDirectory,'template',f)) and not f.endswith('~')]
	
setup(name='converttoimageepub',
	  version='0.3',
	  author='Alejandro Dubrovsky',
	  author_email='alito@organicrobot.com',
	  description="Converts PDFs to EPUBs by taking images of the pages and enlarging them",
	  download_url="www.organicrobot.com/ale/",
	  scripts=['converttoimageepub.py'],
	  data_files=[('share/converttoimageepub',templates)],
	  )
